# HG changeset patch
# Node ID c1a9df0ab07b
# Parent  cc18669b96d8
diff --git a/hugo/config.toml b/hugo/config.toml
--- a/hugo/config.toml
+++ b/hugo/config.toml
@@ -9,7 +9,7 @@
     path = "github.com/matcornic/hugo-theme-learn"
 
 [params]
-currentVersion = "2.14.9"
+currentVersion = "2.14.10"
 
 # Disable arrows
 disableNextPrev = true
diff --git a/hugo/content/post/2.14.10-released.md b/hugo/content/post/2.14.10-released.md
new file mode 100644
--- /dev/null
+++ b/hugo/content/post/2.14.10-released.md
@@ -0,0 +1,49 @@
+---
+title: "2.14.10 Released!"
+date: 2022-06-02T21:39:19-05:00
+replaces: []
+---
+
+We've released another bug fix version of Pidgin, version 2.14.10. This
+release has many random bug fixes so be sure to check out the full ChangeLog
+below.
+
+You can find links to the download from our
+[Install page]({{< ref "/install" >}}).
+
+General:
+* Audit and correct the COPYRIGHT file. ({{% review 1425 %}}) (Richard Laager)
+* Fix a spelling error in a debug message for proxies. ({{% review 1426 %}})
+  (Richard Laager)
+* Install some emojis already in the theme but not being installed.
+  ({{% review 1428 %}}) (Richard Laager)
+* Drop the QQ smileys as we don't ship QQ anymore. ({{% issue PIDGIN-14385 %}})
+  ({{% review 1429 %}}) (Richard Laager)
+* Modernize the desktop file. ({{% review 1433 %}}) (Richard Laager)
+* Modernize the appdata file. ({{% review 1431 %}}) (Richard Laager)
+* Make privacy settings persist. ({{% issue PIDGIN-17137 %}})
+  ({{% review 1463 %}}) (Belgin Știrbu)
+
+Pidgin:
+* Fix a use after free that was introduced in 2.14.9. ({{% review 1488 %}})
+  (ivanhoe)
+
+IRC:
+* Fix a crash if the server sends a short form JOIN message.
+  ({{% issue PIDGIN-17375 %}}) ({{% review 1484 %}}) (Belgin Știrbu)
+
+XMPP:
+* Fix a regression from 2.14.9 where XMPP accounts state would get lost after
+  failing to connect. ({{% issue PIDGIN-17621 %}}) ({{% review 1455 %}})
+  (Belgin Știrbu)
+* Fix a crash when requesting your own info in an XMPP conference.
+  ({{% review 1465 %}}) (Belgin Știrbu)
+* Fix hang when completing a file transfer over XMPP. ({{% review 1466 %}})
+  (Belgin Știrbu)
+* Fix updating custom smileys. ({{% issue PIDGIN-17153 %}})
+  ({{% review 1477 %}}) (Belgin Știrbu)
+* Fix unblocking users. ({{% issue PIDGIN-16414 %}}) ({{% review 1479 %}})
+  (Belgin Știrbu)
+* Fix a crash when cancelling a file transfer. ({{% issue PIDGIN-17189 %}})
+  ({{% review 1485 %}}) (Belgin Știrbu)
+
diff --git a/hugo/static/ChangeLog b/hugo/static/ChangeLog
--- a/hugo/static/ChangeLog
+++ b/hugo/static/ChangeLog
@@ -1,10 +1,90 @@
+version 2.14.10 (06/02/2022):
+	General:
+	* Audit and correct the COPYRIGHT file. (RR 1425) (Richard Laager)
+	* Fix a spelling error in a debug message for proxies. (RR 1426) (Richard
+	  Laager)
+	* Install some emojis already in the theme but not being installed.
+	  (RR 1428) (Richard Laager)
+	* Drop the QQ smileys as we don't ship QQ anymore. (PIDGIN-14385) (RR 1429)
+	  (Richard Laager)
+	* Modernize the desktop file. (RR 1433) (Richard Laager)
+	* Modernize the appdata file. (RR 1431) (Richard Laager)
+	* Make privacy settings persist. (PIDGIN-17137) (RR 1463) (Belgin Știrbu)
+
+	Pidgin:
+	* Fix a use after free that was introduced in 2.14.9. (RR 1488) (ivanhoe)
+
+	IRC:
+	* Fix a crash if the server sends a short form JOIN message. (PIDGIN-17375)
+	  (RR 1484) (Belgin Știrbu)
+
+	XMPP:
+	* Fix a regression from 2.14.9 where XMPP accounts state would get lost
+	  after failing to connect. (PIDGIN-17621) (RR 1455) (Belgin Știrbu)
+	* Fix a crash when requesting your own info in an XMPP conference. (RR 1465)
+	  (Belgin Știrbu)
+	* Fix hang when completing a file transfer over XMPP. (RR 1466) (Belgin
+	  Știrbu)
+	* Fix updating custom smileys. (PIDGIN-17153) (RR 1477) (Belgin Știrbu)
+	* Fix unblocking users. (PIDGIN-16414) (RR 1479) (Belgin Știrbu)
+	* Fix a crash when cancelling a file transfer. (PIDGIN-17189) (RR 1485)
+	  (Belgin Știrbu)
+
+version 2.14.9 (04/28/2022):
+	Security:
+	* Remove _xmppconnect support. (RR 1357) (CVE-2022-26491) (Gary Kramlich)
+
+	libpurple:
+	* Fix a GLib CRITICAL message with typing time outs. (RR 1123) (Mohammed
+	  Sadiq)
+	* Fix an issue where the unit tests for purple_str_to_time would fail.
+	  (GENTOO-819774) (RR 1238) (Gary Kramlich)
+
+	Pidgin:
+	* Fix a memory leak in pidgin_conversations_set_tab_colors. (RR 1244)
+	  (ivanhoe)
+	* Fixed the majority of the infinite resizing issues in the input box.
+	  (PIDGIN-16753, PIDGIN-16999, PIDGIN-17287, PIDGIN-17413, PIDGIN-17430,
+	  PIDGIN-17568, PIDGIN-17602) (RR 1342) (Belgin Știrbu)
+	* Add transient-buddy back which is used to show some context menus and
+	  other things. (PIDGIN-17523) (RR 1381) (Belgin Știrbu)
+
+	Windows:
+	* Fix the download of dictionaries in the Windows installer. (PIDGIN-14618,
+	  PIDGIN-15648, PIDGIN-15540, PIDGIN-14612, PIDGIN-14893) (RR 1303) (Gary
+	  Kramlich)
+
+	Translations:
+	* Fix a typo in the German translations. (PIDGIN-17575) (RR 1242) (ivanhoe)
+	* Synced all of the translations with Transifex.
+
+	IRC:
+	* Fix IRC file transfers on Windows. (PIDGIN-17175) (RR 1382) (Belgin
+	  Știrbu)
+	* Fix file transfers failing at 99% on IRC. (PIDGIN-15893) (RR 1385) (Belgin
+	  Știrbu)
+	* Default realname and ident name in IRC to the username (nickname) of the
+	  account. (PIDGIN-17610) (RR 1386) (Belgin Știrbu)
+	* Add an advanced account option to IRC accounts for explicitly setting the
+	  SASL login name. (PIDGIN-15451) (RR 1388) (Belgin Știrbu)
+	* Added a rate limiter that should make it impossible to excess flood.
+	  (RR 1391) (Gary Kramlich)
+
+	SIMPLE:
+	* Fix an issue with the CSeq numbers in SIMPLE. (PIDGIN-9675) (RR 1379)
+	  (dohmniq)
+
+	XMPP:
+	* Fix XMPP attention messages being sent to incorrect JIDs. (PIDGIN-14714)
+	  (RR 1387) (itsnotabigtruck, Belgin Știrbu)
+
 version 2.14.8 (10/14/2021):
 	libpurple:
 	* Fix a regression in purple_str_to_time. (PIDGIN-17552) (RR 931) (Gary
 	  Kramlich)
 
 	XMPP:
-	* Fix a double in free jabber/message.c. (PIDGIN-17547) (RR 932) (Gary
+	* Fix a double free in jabber/message.c. (PIDGIN-17547) (RR 932) (Gary
 	  Kramlich, pv32768)
 
 	Pidgin:
